TDictMap< T >::Table Struct Reference

`#include <mia/core/dictmap.hh>`

## Data Fields

const char *const | help
| help text
const char *const | name
| parameter name
const T | value
| parameter value

## Detailed Description

template<typename T>
struct TDictMap< T >::Table

The initialisation table. The last entry must have the name pointer pointing to 0.

Definition at line 55 of file dictmap.hh.

## Field Documentation

## help

template<typename T>

const char* const TDictMap< T >::Table::help

help text

Definition at line 61 of file dictmap.hh.

Referenced by TDictMap< T >::TDictMap().

## name

template<typename T>

const char* const TDictMap< T >::Table::name

parameter name

Definition at line 57 of file dictmap.hh.

Referenced by TDictMap< T >::TDictMap().

## value

template<typename T>

const T TDictMap< T >::Table::value

parameter value

Definition at line 59 of file dictmap.hh.

Referenced by TDictMap< T >::TDictMap().

The documentation for this struct was generated from the following file:

- dictmap.hh